import './readonly_omnibox.js';
import './location_icon.js';
import './content_settings_icons.js';
import './permission_dashboard.js';
import './selected_keyword.js';
import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import type { PropertyValues } from '//resources/lit/v3_0/lit.rollup.js';
import type { LocationBarState } from '/shared/toolbar_ui_api_data_model.mojom-webui.js';
import type { ReadonlyOmniboxElement } from './readonly_omnibox.js';
export interface LocationBarElement {
    $: {
        omnibox: ReadonlyOmniboxElement;
    };
}
export declare class LocationBarElement extends CrLitElement {
    static get is(): string;
    static get styles(): import("//resources/lit/v3_0/lit.rollup.js").CSSResultGroup;
    render(): import("//resources/lit/v3_0/lit.rollup.js").TemplateResult<1>;
    static get properties(): {
        locationBarState: {
            type: ObjectConstructor;
        };
    };
    accessor locationBarState: LocationBarState;
    private trackedElementManager_;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    updated(changedProperties: PropertyValues<this>): void;
    protected onChipPointerenter_(): void;
    protected onChipPointerleave_(): void;
    protected onChipPointercancel_(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'location-bar': LocationBarElement;
    }
}
